#!../../bin/solaris-sparc/Agilent34401Test

< envPaths
epicsEnvSet("P","$(P=lab:)")

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/Agilent34401Test.dbd",0,0)
Agilent34401Test_registerRecordDeviceDriver(pdbbase)

# Configure hardware
# HP/Agilent E2050 GPIB/LAN adapter
vxi11Configure("L0","164.54.48.11",0,0.0,"hpib",0,0)

## Load record instances
dbLoadRecords("db/devAgilent34401.db","P=$(P),R=DMM1:,L=0,A=12")
dbLoadRecords("db/devAgilent34401.db","P=$(P),R=DMM2:,L=0,A=22")
dbLoadRecords("db/asynRecord.db","P=$(P),R=asynRecord,PORT=L0,ADDR=12,OMAX=0,IMAX=200")

#asynSetTraceMask("L0",12,0x9)
#asynSetTraceIOMask("L0",12,0x2)
#asynSetTraceMask("L0",22,0x9)
#asynSetTraceIOMask("L0",22,0x2)

cd ${TOP}/iocBoot/${IOC}
iocInit()
